[CMake] Error out when ruby is too old
authormcatanzaro@igalia.com <mcatanzaro@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 15 May 2015 00:08:51 +0000 (00:08 +0000)
committermcatanzaro@igalia.com <mcatanzaro@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 15 May 2015 00:08:51 +0000 (00:08 +0000)
commit8b7e808d99e338493219c514410aa775c80f9150
treef6d91e182b84d442242eaf16e4463f13a4206529
parent921cb3f18b63b809a0cc95293151f1630af00745
[CMake] Error out when ruby is too old
https://bugs.webkit.org/show_bug.cgi?id=145014

Reviewed by Martin Robinson.

.:

Error out immediately after checking for Ruby if the ruby executable is not found, or if it
is too old.

* CMakeLists.txt:

Source/JavaScriptCore:

Don't enforce the check for the Ruby executable here; it's now enforced in the top-level
CMakeLists.txt instead.

* CMakeLists.txt:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@184363 268f45cc-cd09-0410-ab3c-d52691b4dbfc
CMakeLists.txt
ChangeLog
Source/JavaScriptCore/CMakeLists.txt
Source/JavaScriptCore/ChangeLog